textures/pdmq3forestcastle/grass-tear1000
{
	q3map_lightimage textures/jelaby/red-glow-wave.tga
	qer_editorimage textures/jelaby/grass-tear.tga
	q3map_surfacelight 1000

	{
		map textures/jelaby/orange-glow.tga
		rgbgen identity
		tcmod scale 0.5 1
		tcmod scroll 0.3 0
		tcmod turb 0 0.2 0 0.013
		blendFunc GL_ONE GL_ZERO
	}
	{
		map textures/jelaby/red-glow-wave.tga
		rgbgen identity
		tcmod scale 0.11275 1
		tcmod scroll 0.8 0
		tcmod turb 0 0.1 0 0.14
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/jelaby/grass-tear.tga
		rgbgen identity
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/pdmq3forestcastle/grass_dapple
{
	qer_editorimage textures/jelaby/grass.tga

	{
		map textures/jelaby/fir_alpha.tga
		rgbgen identity
		tcgen vector ( 0.005 0 0 ) ( 0 0.005 0 )
		//tcmod scale 0.4 0.4
		tcmod turb 0 0.01 0 0.1
		blendFunc GL_ONE GL_ZERO
	}
	{
		map textures/jelaby/fir_alpha.tga
		rgbgen identity
		tcgen vector ( 0.002 0 0 ) ( 0 0.002 0 )
		tcmod turb 0 0.005 0 0.13
		blendFunc GL_DST_COLOR GL_ZERO
		tcmod stretch sin 1 0.1 33 0.013
	}
	{
		map textures/jelaby/fir_alpha.tga
		rgbgen identity
		tcgen vector ( 0.002 0 0 ) ( 0 0.002 0 )
		tcmod turb 0 0.01 45 0.11
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map $lightmap
		rgbgen identity
		blendFunc GL_ONE GL_ONE
	}
	//{
	//	map textures/jelaby/grass-detail.tga
	//	blendFunc GL_DST_COLOR GL_SRC_COLOR
	//	// YOU MUST USE THIS!!
	//	detail
	//	// for the detail to be disabled, this must be present
	//	tcMod scale 9.1 9.2
	//}
	{
		map textures/jelaby/grass.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
textures/pdmq3forestcastle/grass-detail
//textures/jelaby/grass
{
	qer_editorimage textures/jelaby/grass.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/jelaby/grass-detail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		// YOU MUST USE THIS!!
		//detail
		// for the detail to be disabled, this must be present
		tcMod scale 51 53
	}
	{
		map textures/jelaby/grass.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/pdmq3forestcastle/oak-flutter
{
	qer_editorimage textures/jelaby/oak-up-gaps.tga
	deformVertexes wave 32 sin 2 4 0 0.1
	deformVertexes wave 32 sin 2 4 0 0.01
	deformVertexes wave 32 sin 2 4 0 0.02

	{
		map textures/jelaby/oak-up-gaps.tga
		blendFunc GL_ONE GL_ZERO
		rgbgen identity
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbgen identity
	}
}

textures/pdmq3forestcastle/ray-circle-glow
{
	qer_editorimage textures/jelaby/rays-circle.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	cull none

	deformVertexes wave 32 sin 0 16 0 0.1

	{
		clampmap textures/jelaby/rays-circle.tga
		blendfunc add
		tcmod rotate 20
	}
	{
		map textures/jelaby/rays-circle.tga
		blendfunc gl_zero gl_one
	}
}

textures/pdmq3forestcastle/ray_glow
{
	qer_editorimage textures/jelaby/rays.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	cull none

	deformVertexes wave 32 sin 0 16 0 0.1

	{
		map textures/jelaby/rays.tga
		blendfunc add
		tcmod scroll 0.1 0
	}
}

textures/pdmq3forestcastle/push_ray
{
	qer_editorimage textures/jelaby/rays.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	cull none

	deformVertexes wave 32 sin 0 1 0 0.1

	{
		map textures/jelaby/push-ray-glow.tga
		blendfunc add
		tcmod scroll 0.1 0
	}
	{
		map textures/jelaby/push-ray-glow.tga
		blendfunc add
		tcmod scroll 0.016 0
	}
	{
		map textures/jelaby/push-ray-glow.tga
		blendfunc add
		tcmod scroll -0.013 0
	}
	{
		map textures/jelaby/fire-band.tga
		// Note, the freqency should be the same as for the tcmod scroll below
		rgbgen wave inversesawtooth 0 1 0.5 0.8
		tcmod scale 1 0.5
		tcmod scroll 0 0.8
		//tcmod turb 0 0.1 0 0.14
		blendFunc GL_ONE GL_ONE
	}
}

textures/skies/pdm_cloudsky
{
	qer_editorimage textures/skies/pdm_clearsky.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 1 1 0.9 100 75 80
	q3map_surfacelight 150
	q3map_lightimage textures/skies/pdm_clouds.tga
	skyparms full 2048 -

	{
		map textures/skies/pdm_clearsky.tga
		tcMod scale 8 8
		depthWrite
	}
	{
		map textures/skies/pdm_clouds.tga
		blendfunc add
		tcMod scroll 0.01 0.01
		tcMod scale 3 2
	}
}

textures/stone/pdm_pjrock21
{
	qer_editorimage textures/stone/pjrock21.tga
	surfaceparm nonsolid

	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/stone/pjrock21.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/pdmq3forestcastle/dirtbrown_trans
{
	qer_editorimage textures/jelaby/dirtbrown.tga
	qer_trans 0.9
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/jelaby/dirtbrown.tga
		blendFunc filter
		rgbGen identity
	}
}

textures/pdmq3forestcastle/dirt2_trans
{
	surfaceparm nonsolid
	qer_trans 0.9
	qer_editorimage textures/organics/dirt2.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		blendFunc filter
		map textures/organics/dirt2.tga
		rgbGen identity
	}
}